import React from 'react';
import {shallow} from 'enzyme';
import {Alert as RSAlert} from 'reactstrap';
import Alert from '../Alert';

describe('Simple Alert', () => {
  let alert;
  let rsAlert;

  beforeAll(() => {
    alert = shallow(<Alert>This is an alert</Alert>);
    rsAlert = alert.find(RSAlert);
  });

  it('should create a reactstrap Alert', () => expect(rsAlert).toHaveLength(1));

  it('should pass its own children on to the reactstrap alert', () =>
    expect(rsAlert.prop('children')).toEqual('This is an alert'));
});
